import { __assign } from './../../external/tslib/tslib.es6.js';
import React from 'react';
import classnames from 'classnames';
import { Typography } from '@highlight-ui/typography';
import { parseMetadata } from '@highlight-ui/utils-commons';
import styles from './HorizontalFormField.module.scss.js';
import Label from './Label.js';
import Validations from './Validations.js';

var HorizontalFormField = function (_a) {
  var className = _a.className,
      children = _a.children,
      label = _a.label,
      htmlFor = _a.htmlFor,
      labelTooltipContent = _a.labelTooltipContent,
      labelTooltipMouseOutDelay = _a.labelTooltipMouseOutDelay,
      helperText = _a.helperText,
      hintText = _a.hintText,
      metadata = _a.metadata,
      validations = _a.validations;
  var tooltipText = (helperText || labelTooltipContent) && /*#__PURE__*/React.createElement(React.Fragment, null, helperText && /*#__PURE__*/React.createElement(Typography, {
    variant: "body-1",
    className: styles.tooltipContent
  }, helperText), helperText && labelTooltipContent && /*#__PURE__*/React.createElement("br", null), labelTooltipContent && /*#__PURE__*/React.createElement(Typography, {
    variant: "body-1",
    className: styles.tooltipContent
  }, labelTooltipContent));
  return /*#__PURE__*/React.createElement("div", __assign({
    className: classnames(styles.horizontalFormField, className)
  }, parseMetadata(metadata)), /*#__PURE__*/React.createElement("div", {
    className: styles.head
  }, /*#__PURE__*/React.createElement(Label, __assign({
    label: label,
    tooltipContent: tooltipText,
    tooltipClassName: styles.tooltipIcon,
    tooltipMouseOutDelay: labelTooltipMouseOutDelay
  }, htmlFor ? {
    htmlFor: htmlFor
  } : {})), hintText && /*#__PURE__*/React.createElement(Typography, {
    variant: "caption-2"
  }, hintText)), /*#__PURE__*/React.createElement("div", {
    className: styles.field
  }, children), /*#__PURE__*/React.createElement(Validations, {
    validations: validations,
    className: styles.validations
  }));
};

export { HorizontalFormField as default };
//# sourceMappingURL=HorizontalFormField.js.map
