import { __assign } from './../../external/tslib/tslib.es6.js';
import React from 'react';
import classnames from 'classnames';
import { Typography } from '@highlight-ui/typography';
import { Icon } from '@highlight-ui/icon';
import { Tooltip } from '@highlight-ui/tooltip';
import styles from './Label.module.scss.js';

var Label = function (_a) {
  var className = _a.className,
      label = _a.label,
      tooltipContent = _a.tooltipContent,
      tooltipMouseOutDelay = _a.tooltipMouseOutDelay,
      tooltipClassName = _a.tooltipClassName,
      htmlFor = _a.htmlFor,
      hintText = _a.hintText;
  return /*#__PURE__*/React.createElement("div", {
    className: classnames(styles.labelContainer, className)
  }, /*#__PURE__*/React.createElement(Typography, __assign({
    className: styles.label,
    variant: "subtitle-2",
    component: "label"
  }, htmlFor ? {
    htmlFor: htmlFor
  } : {}), label), tooltipContent && /*#__PURE__*/React.createElement(Tooltip, {
    content: tooltipContent,
    mouseOutDelay: tooltipMouseOutDelay,
    metadata: {
      testId: 'form-field-label-tooltip-icon'
    },
    interactive: true
  }, /*#__PURE__*/React.createElement("span", null, /*#__PURE__*/React.createElement(Icon, {
    className: classnames(styles.labelTooltipIcon, tooltipClassName),
    name: "info-circle",
    color: "icon-default",
    type: "solid",
    size: 14
  }))), hintText && /*#__PURE__*/React.createElement(Typography, {
    className: styles.hintText,
    variant: "body-1",
    component: "span"
  }, "(", hintText, ")"));
};

export { Label as default };
//# sourceMappingURL=Label.js.map
