import { __assign } from './../../external/tslib/tslib.es6.js';
import React from 'react';
import classnames from 'classnames';
import { Typography } from '@highlight-ui/typography';
import { parseMetadata } from '@highlight-ui/utils-commons';
import { Icon } from '@highlight-ui/icon';
import styles from './ValidationMessage.module.scss.js';
var validationStatusesIconProps = {
  validating: {
    name: 'spinner-third',
    color: 'icon-highlight',
    spin: true
  },
  valid: {
    name: 'check-circle',
    color: 'icon-success'
  },
  invalid: {
    name: 'exclamation-circle',
    color: 'icon-critical'
  },
  warning: {
    name: 'exclamation-triangle',
    color: 'icon-warning'
  }
};

var ValidationMessage = function (_a) {
  var className = _a.className,
      message = _a.message,
      status = _a.status,
      metadata = _a.metadata;
  var validationStatusIconProps = validationStatusesIconProps[status];
  return /*#__PURE__*/React.createElement("span", __assign({
    className: classnames(styles.validationContainer, className)
  }, parseMetadata(metadata)), /*#__PURE__*/React.createElement(Icon, __assign({
    className: styles.validationStatusIcon,
    name: validationStatusIconProps.name,
    color: validationStatusIconProps.color,
    spin: validationStatusIconProps.spin,
    type: "solid",
    size: 12
  }, (metadata === null || metadata === void 0 ? void 0 : metadata.testId) && {
    metadata: {
      testId: (metadata === null || metadata === void 0 ? void 0 : metadata.testId) + "-icon"
    }
  })), /*#__PURE__*/React.createElement(Typography, {
    className: styles.validationMessage,
    variant: "body-1",
    component: "span"
  }, message));
};

export { ValidationMessage as default };
//# sourceMappingURL=ValidationMessage.js.map
