import { __assign } from './../../external/tslib/tslib.es6.js';
import React from 'react';
import classnames from 'classnames';
import { parseMetadata } from '@highlight-ui/utils-commons';
import Label from './Label.js';
import HelperText from './HelperText.js';
import styles from '../FormField.module.scss.js';
import Validations from './Validations.js';

var VerticalFormField = function (_a) {
  var className = _a.className,
      children = _a.children,
      label = _a.label,
      htmlFor = _a.htmlFor,
      labelTooltipContent = _a.labelTooltipContent,
      labelTooltipMouseOutDelay = _a.labelTooltipMouseOutDelay,
      helperText = _a.helperText,
      hintText = _a.hintText,
      metadata = _a.metadata,
      validations = _a.validations;
  return /*#__PURE__*/React.createElement("div", __assign({
    className: classnames(styles.formField, className)
  }, parseMetadata(metadata)), /*#__PURE__*/React.createElement(Label, __assign({
    className: styles.childrenWrapper,
    label: label,
    tooltipContent: labelTooltipContent,
    tooltipMouseOutDelay: labelTooltipMouseOutDelay
  }, htmlFor ? {
    htmlFor: htmlFor
  } : {}, {
    hintText: hintText
  })), helperText && /*#__PURE__*/React.createElement(HelperText, {
    className: styles.childrenWrapper,
    text: helperText
  }), /*#__PURE__*/React.createElement("div", {
    className: styles.childrenWrapper
  }, children), /*#__PURE__*/React.createElement(Validations, {
    validations: validations
  }));
};

export { VerticalFormField as default };
//# sourceMappingURL=VerticalFormField.js.map
