import { __rest, __assign } from './../../external/tslib/tslib.es6.js';
import React from 'react';
import { Input } from '@highlight-ui/input';
import { parseMetadata, suffixMetadata } from '@highlight-ui/utils-commons';
import FormField from '../FormField.js';
import validationStatusToOutline from './helpers.js';

var InputFormFieldWithRef = function (_a, ref) {
  var inputProps = _a.inputProps,
      id = _a.id,
      formFieldProps = __rest(_a, ["inputProps", "id"]);

  var labelHtmlForProp = id ? {
    htmlFor: id
  } : {};
  var inputIdProp = id ? {
    id: id
  } : {};
  return /*#__PURE__*/React.createElement(FormField, __assign({}, formFieldProps, labelHtmlForProp), /*#__PURE__*/React.createElement(Input, __assign({}, inputProps, inputIdProp, {
    outline: formFieldProps.validations && validationStatusToOutline(formFieldProps.validations.map(function (x) {
      return x.status;
    })),
    ref: ref
  }, parseMetadata(suffixMetadata(formFieldProps.metadata, 'input')))));
};

var InputFormField = /*#__PURE__*/React.forwardRef(InputFormFieldWithRef);
export { InputFormField as default };
//# sourceMappingURL=InputFormField.js.map
