import { __rest, __assign } from './../../external/tslib/tslib.es6.js';
import React from 'react';
import { Select } from '@highlight-ui/select';
import { parseMetadata, suffixMetadata } from '@highlight-ui/utils-commons';
import FormField from '../FormField.js';
import validationStatusToOutline from './helpers.js'; // eslint-disable-next-line @typescript-eslint/explicit-module-boundary-types

var SelectFormField = function (_a) {
  var selectProps = _a.selectProps,
      id = _a.id,
      formFieldProps = __rest(_a, ["selectProps", "id"]);

  var labelHtmlForProp = id ? {
    htmlFor: id
  } : {};
  var selectTriggerIdProp = id ? {
    triggerId: id
  } : {};
  return /*#__PURE__*/React.createElement(FormField, __assign({}, formFieldProps, labelHtmlForProp), /*#__PURE__*/React.createElement(Select, __assign({}, selectProps, selectTriggerIdProp, {
    variant: "full-width",
    outline: formFieldProps.validations && validationStatusToOutline(formFieldProps.validations.map(function (x) {
      return x.status;
    }))
  }, parseMetadata(suffixMetadata(formFieldProps.metadata, 'select')))));
};

export { SelectFormField as default };
//# sourceMappingURL=SelectFormField.js.map
