import { __rest, __assign } from './../../external/tslib/tslib.es6.js';
import React from 'react';
import { TextArea } from '@highlight-ui/input';
import { parseMetadata, suffixMetadata } from '@highlight-ui/utils-commons';
import FormField from '../FormField.js';
import validationStatusToOutline from './helpers.js';

var TextAreaFormFieldWithRef = function (_a, ref) {
  var textAreaProps = _a.textAreaProps,
      id = _a.id,
      formFieldProps = __rest(_a, ["textAreaProps", "id"]);

  var labelHtmlForProp = id ? {
    htmlFor: id
  } : {};
  var textAreaIdProp = id ? {
    id: id
  } : {};
  return /*#__PURE__*/React.createElement(FormField, __assign({}, formFieldProps, labelHtmlForProp), /*#__PURE__*/React.createElement(TextArea, __assign({}, textAreaProps, textAreaIdProp, {
    outline: formFieldProps.validations && validationStatusToOutline(formFieldProps.validations.map(function (x) {
      return x.status;
    })),
    ref: ref
  }, parseMetadata(suffixMetadata(formFieldProps.metadata, 'textarea')))));
};

var TextAreaFormField = /*#__PURE__*/React.forwardRef(TextAreaFormFieldWithRef);
export { TextAreaFormField as default };
//# sourceMappingURL=TextAreaFormField.js.map
