var validationStatusOutlines = {
  validating: 'default',
  valid: 'default',
  warning: 'warning',
  invalid: 'error'
};
var validationToSeverityMap = {
  validating: 0,
  valid: 1,
  warning: 2,
  invalid: 3
};

var validationStatusToOutline = function (statuses) {
  if (!statuses || statuses.length === 0) return 'default';
  var highestSeverityStatus = Array.from(new Set(statuses)).sort(function (a, b) {
    return validationToSeverityMap[b] - validationToSeverityMap[a];
  })[0];
  return validationStatusOutlines[highestSeverityStatus];
};

export { validationStatusToOutline as default };
//# sourceMappingURL=helpers.js.map
